Subject: FileList makes 10 fileExists() calls for each file
Description

When opening the file list in the backend, each file displayed by the FileList leads to 10 fileExists() calls in the FAL driver.

This is ok for the local driver, but not for remote storages.

Somehow those data should be cached.

Related issues:
blocks Core - Story # 54266: As an User I want FAL to be performant New 2013-11-16 2013-12-31

History
#1 - 2015-04-17 11:37 - Christian Weiske

I was able to reduce the file list loading time with a remote FAL adapter from 1.6s to 0.6s by caching fileExists(), folderExists() and getPermissions().

#2 - 2015-04-17 13:53 - Christian Weiske

The 10 fileExists() calls were in TYPO3 6.2.

In git master (the soon-to-be 7.2), they are gone.
What stays are the getPermissions() calls; 7 per file/folder.

#3 - 2015-04-17 14:58 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38762

#4 - 2015-04-17 15:54 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38762

#5 - 2015-05-09 12:49 - Christian Kuhn
- Status changed from Under Review to Rejected

Having a general caching wrapper around the drivers is not a solid approach. The patch was abandoned and this issue will be closed as rejected for
now.
